%global gem_name diff-lcs
%{!?_with_bootstrap: %global bootstrap 0}
Name:                rubygem-%{gem_name}
Version:             1.3
Release:             1
Summary:             Provide a list of changes between two sequenced collections
License:             GPLv2+ or Artistic or MIT
URL:                 https://github.com/halostatue/diff-lcs
Source0:             https://rubygems.org/gems/diff-lcs-%{version}.gem
BuildRequires:       rubygems-devel
%if ! 0%{?bootstrap}
BuildRequires:       rubygem(rspec)
%endif
BuildRequires:       ruby(release)
BuildArch:           noarch
%description
Diff::LCS computes the difference between two Enumerable sequences using the
McIlroy-Hunt longest common subsequence (LCS) algorithm. It includes utilities
to create a simple HTML diff output format and a standard diff-like tool.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -c  -T
%gem_install -n %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -pa .%{_bindir}/* \
        %{buildroot}%{_bindir}/
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
sed -i 's|^#!.*|#!/usr/bin/ruby|' %{buildroot}%{gem_instdir}/bin/{htmldiff,ldiff}
%if ! 0%{?bootstrap}

%check
pushd .%{gem_instdir}
rspec spec
popd
%endif

%files
%dir %{gem_instdir}
%{_bindir}/htmldiff
%{_bindir}/ldiff
%exclude %{gem_instdir}/.*
%license %{gem_instdir}/License.md
%license %{gem_instdir}/docs
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Code-of-Conduct.md
%doc %{gem_instdir}/Contributing.md
%doc %{gem_instdir}/History.md
%doc %{gem_instdir}/Manifest.txt
%{gem_instdir}/autotest
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Aug 10 2020 yanan li <liyanan032@huawei.com> - 1.3-1
- Package init
